package com.xy.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

import java.util.List;

@Data
@Component
@ConfigurationProperties(prefix = "web.mqtt")
public class WebMqttConfig {

    /**
     * ip
     */
    private String ip;

    /**
     * websocket url
     */
    private String wsUrl;

    /**
     * 微信小程序 url
     */
    private String wxsUrl;

    /**
     * websocket端口
     */
    private Integer wsPort;

    /**
     * 微信小程序端口
     */
    private Integer wxsPort;

    /**
     * 账号
     */
    private String username;

    /**
     * 密码
     */
    private String password;

    /**
     * clientId&topic前缀
     */
    private String prefix;

    /**
     * pc管理端topic前缀
     */
    private String pcManagePrefix;

    /**
     * 微信c端小程序topic前缀
     */
    private String wxCPrefix;
}
