package com.xy.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.xy.base.BaseEntity3;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 算法平台
 * </p>
 *
 * @author hechunping
 * @since 2023-01-12
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="Algorithm对象", description="算法平台")
public class Algorithm extends BaseEntity3<Algorithm> {

    @ApiModelProperty("唯一标识")
    @TableId(type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "算法平台名称")
    private String name;

    @ApiModelProperty(value = "接口域名")
    private String host;

    @ApiModelProperty(value = "商户单次费用(分)")
    private Integer mercOnceCost;

    @ApiModelProperty("备注")
    private String remark;

    @ApiModelProperty("状态;true=显示,false=隐藏")
    private Boolean status;

}
