package com.xy.service;

import cn.easyes.core.biz.EsPageInfo;
import cn.easyes.core.conditions.LambdaEsQueryWrapper;
import com.xy.dto.LogSysEnventsDto;
import com.xy.entity.LogSysEnvents;
import com.xy.mapper.LogSysEnventsMapper;
import com.xy.utils.Emptys;
import com.xy.utils.EsQueryWrapper;
import com.xy.utils.PageBean;
import com.xy.utils.R;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.AllArgsConstructor;
import org.springframework.stereotype.Service;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

import static com.xy.utils.EsBeans.toPageBean;

@Service
@AllArgsConstructor
@Api(tags = "系统事件")
public class LogSysEnventsServiceImpl implements LogSysEnventsService {

    private LogSysEnventsMapper logSysEnventsMapper;

    @PostMapping("page")
    @ApiOperation("分页查询")
    public R<PageBean<LogSysEnventsDto.Vo>> page(@RequestBody LogSysEnventsDto.Page page) {
        PageBean pageBean = page.getPage();
        LambdaEsQueryWrapper<LogSysEnvents> lambdaEsQueryWrapper = new EsQueryWrapper().eqWrapper(page, LogSysEnvents.class)
                .ge(LogSysEnvents::getCreateTime, page.getBeginCreateTime())
                .le(LogSysEnvents::getCreateTime, page.getEndCreateTime())
                .like(LogSysEnvents::getEventDescript)
                .build()
                .orderByDesc(!Emptys.check(pageBean.getOrders()), LogSysEnvents::getCreateTime);
        EsPageInfo<LogSysEnvents> esPageInfo = logSysEnventsMapper.pageQuery(lambdaEsQueryWrapper, (int) pageBean.getCurrent(), (int) pageBean.getSize());
        return R.ok(toPageBean(LogSysEnventsDto.Vo.class, esPageInfo));
    }
}
