package com.xy.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.xy.utils.PageBean;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotBlank;
import java.time.LocalDateTime;

/**
 * <p>
 * 算法平台
 * </p>
 *
 * @author hechunping
 * @since 2023-01-12
 */
public class AlgorithmDto {

    @Data
    @Accessors(chain = true)
    public static class ListNameId{
        @ApiModelProperty(value = "id")
        private Long id;

        @ApiModelProperty(value = "算法平台名称")
        private String name;
    }

    @Data
    @Accessors(chain = true)
    public static class ListAllColumn extends Vo {

    }

    @Data
    @Accessors(chain = true)
    public static class Page extends Vo {
        @ApiModelProperty(value = "分页对象", required = true)
        private PageBean page;
    }

    @Data
    @Accessors(chain = true)
    public static class Save {
        @ApiModelProperty(value = "id")
        private Long id;

        @NotBlank(message = "名称不能为空")
        @ApiModelProperty("算法平台名称")
        private String name;

        @ApiModelProperty(value = "接口地址前缀")
        private String host;

        @ApiModelProperty(value = "商户单次费用(分)")
        private Integer mercOnceCost;

        @ApiModelProperty("备注")
        private String remark;

        @ApiModelProperty("状态;true=显示,false=隐藏")
        private Boolean status;
    }

    @Data
    @Accessors(chain = true)
    public static class Vo {

        @ApiModelProperty(value = "id")
        private Long id;

        @ApiModelProperty(value = "算法平台名称")
        private String name;

        @ApiModelProperty(value = "接口域名")
        private String host;

        @ApiModelProperty(value = "商户单次费用(分)")
        private Integer mercOnceCost;

        @ApiModelProperty(value = "创建人")
        private Long createUser;

        @ApiModelProperty("备注")
        private String remark;

        @ApiModelProperty("状态;true=显示,false=隐藏")
        private Boolean status;

        @ApiModelProperty(value = "创建时间")
        @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
        private LocalDateTime createTime;

        @ApiModelProperty(value = "更新人")
        private Long updateUser;

        @ApiModelProperty(value = "更新时间")
        @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
        private LocalDateTime updateTime;
    }

}
