package com.xy.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.xy.utils.PageBean;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.time.LocalDate;
import java.time.LocalDateTime;

public class LogSysEnventsDto {

    @Data
    @Accessors(chain = true)
    public static class Page extends Vo {

        private PageBean page;

        @JsonFormat(pattern = "yyyy-MM-dd")
        @ApiModelProperty(value = "创建时间-起")
        private LocalDate beginCreateTime;

        @JsonFormat(pattern = "yyyy-MM-dd")
        @ApiModelProperty(value = "创建时间-始")
        private LocalDate endCreateTime;

        public LocalDateTime getBeginCreateTime() {
            return beginCreateTime == null ? null : beginCreateTime.atTime(0, 0, 0);
        }

        public LocalDateTime getEndCreateTime() {
            return endCreateTime == null ? null : endCreateTime.atTime(23, 59, 59);
        }
    }

    @Data
    @Accessors(chain = true)
    public static class Vo {

        @ApiModelProperty("id")
        private String id;

        @ApiModelProperty("事件名称")
        private String eventName;

        @ApiModelProperty("事件等级")
        private Integer eventLevel;

        @ApiModelProperty("事件描述")
        private String eventDescript;

        @ApiModelProperty("服务器IP")
        private String serverIp;

        @ApiModelProperty("服务名")
        private String serviceName;

        @ApiModelProperty("创建时间")
        private String createTime;

        @ApiModelProperty("日志类别")
        private String type;
    }
}
