package com.xy.service;

import com.xy.annotate.RestMappingController;
import com.xy.dto.UserInfoDto;
import com.xy.utils.R;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.List;

/**
 * <p>
 * 用户表 服务类
 * </p>
 *
 * @author lijin
 * @since 2023-01-12
 */
@RestMappingController("/user-info")
public interface UserInfoService {


    /**
     * 集合查询
     *
     * @param selectList
     * @return
     */
    @PostMapping("list")
    R<List<UserInfoDto.Vo>> list(@RequestBody UserInfoDto.SelectListDto selectList);


    /**
     * 对象查询
     *
     * @param vo
     * @return
     */
    @PostMapping("obj")
    R<UserInfoDto.Vo> obj(@RequestBody UserInfoDto.Vo vo);

    /**
     * 添加
     *
     * @param save
     * @return
     */
    @PostMapping("save")
    R<UserInfoDto.Vo> save(@RequestBody @Validated UserInfoDto.Save save);

    /**
     * 修改
     *
     * @param update
     * @return
     */
    @PostMapping("update")
    R update(@RequestBody @Validated UserInfoDto.Update update);

    /**
     * 删除
     *
     * @param dto
     * @return
     */
    @PostMapping("del")
    R del(@RequestBody @Validated UserInfoDto.DelDto dto);

    /**
     * 修改支付宝信息
     * @param dto
     * @return
     */

    @PostMapping("updateByAli")
    R updateByAli(@RequestBody @Validated UserInfoDto.UpdateByAli dto);

    /**
     * 修改微信信息
     * @param dto
     * @return
     */
    @PostMapping("updateByWechat")
    R updateByWechat(@RequestBody @Validated UserInfoDto.UpdateByWechat dto);
}
