package com.xy.annotation;

import com.xy.enums.LogEnum;

import java.lang.annotation.*;

/**
 * 系统事件
 *
 * @author lijin
 */
@Target({ElementType.METHOD})
@Retention(RetentionPolicy.RUNTIME)
@Documented
public @interface LogEnvents {

    /**
     * 事件名称
     *
     * @return
     */
    String eventName() default "异常";

    /**
     * 事件等级
     *
     * @return
     */
    LogEnum.EventLevel eventLevel() default LogEnum.EventLevel.V1;

    /**
     * 事件描述
     *
     * @return
     */
    String eventDescript() default "";
}
