package com.xy.utils;

import com.xy.entity.SysCodeConfigureRedis;

import java.util.List;
import java.util.Map;

/**
 * 系统编码工具类
 */
public class SysCodeConfigureUtils {

    public static final String SYS_CODE_CONFIGURE_PREFIX = "sys_code_configure";

    public static String getKey(String key) {
        return String.format("%s:%s", SYS_CODE_CONFIGURE_PREFIX, key);
    }

    private static RedisService<SysCodeConfigureRedis> getRedisService() {
        return SpringBeanUtils.getBean(RedisService.class);
    }

    /**
     * 父code获取所有子级列表
     *
     * @param paterCode 父code
     * @return k=code v=子对象
     */
    public static Map<String, SysCodeConfigureRedis> get(String paterCode) {
        return getRedisService().getMap(getKey(paterCode));
    }

    /**
     * 父code和code获取对象
     *
     * @param paterCode 父code
     * @param code      code
     * @return 子对象
     */
    public static SysCodeConfigureRedis get(String paterCode, String code) {
        return getRedisService().getMap(getKey(paterCode), code);
    }

    /**
     * 获取所有
     *
     * @return
     */
    public static List<Map<String, Map<String, SysCodeConfigureRedis>>> all() {
        return getRedisService().likeMap(SYS_CODE_CONFIGURE_PREFIX);
    }
}
